# wasm-bindgen-downcast

[![Continuous integration](https://github.com/wasmerio/wasm-bindgen-downcast/workflows/Continuous%20Integration/badge.svg?branch=main)](https://github.com/wasmerio/wasm-bindgen-downcast/actions)

([API Docs][api-docs])

Downcast a JavaScript wrapper generated by `wasm-bindgen` back to its original
struct.

This is a workaround for
[rustwasm/wasm-bindgen#2231](https://github.com/rustwasm/wasm-bindgen/issues/2231)
that is robust with respect to minification (something other solutions [can't
handle](https://github.com/rustwasm/wasm-bindgen/issues/2231#issuecomment-1167895291)).

## License

This project is licensed under either of

- Apache License, Version 2.0, ([LICENSE-APACHE](./LICENSE-APACHE.md) or
  <http://www.apache.org/licenses/LICENSE-2.0>)
- MIT license ([LICENSE-MIT](./LICENSE-MIT.md) or
   <http://opensource.org/licenses/MIT>)

at your option.

It is recommended to always use [`cargo crev`][crev] to verify the
trustworthiness of each of your dependencies, including this one.

### Contribution

Unless you explicitly state otherwise, any contribution intentionally
submitted for inclusion in the work by you, as defined in the Apache-2.0
license, shall be dual licensed as above, without any additional terms or
conditions.

The intent of this crate is to be free of soundness bugs. The developers will
do their best to avoid them, and welcome help in analysing and fixing them.

[api-docs]: https://wasmerio.github.io/wasm-bindgen-downcast
[crev]: https://github.com/crev-dev/cargo-crev
